#
# 初期化ファイル。音声単位に関する設定を行う。
# 本ファイルはソフトから直接sourceされる。
#

#
# ポーズ記号の定義
#
set pause "-"

#
# 一つの音声単位として扱う文字(または文字列)の定義
#
set unitList {
  あ か さ た な は ま や ら わ が ざ だ ば ぱ 
  い き し ち に ひ み    り    ぎ じ ぢ び ぴ 
  う く す つ ぬ ふ む ゆ る    ぐ ず づ ぶ ぷ 
  え け せ て ね へ め    れ    げ ぜ で べ ぺ 
  お こ そ と の ほ も よ ろ を ご ぞ ど ぼ ぽ 
  ん
  ヴ

  いゃ きゃ しゃ ちゃ にゃ ひゃ みゃ りゃ ぎゃ じゃ ぢゃ びゃ ぴゃ 
  いゅ きゅ しゅ ちゅ にゅ ひゅ みゅ りゅ ぎゅ じゅ ぢゅ びゅ ぴゅ 
  いょ きょ しょ ちょ にょ ひょ みょ りょ ぎょ じょ ぢょ びょ ぴょ 
  いぇ きぇ しぇ ちぇ にぇ ひぇ みぇ りぇ ぎぇ じぇ ぢぇ びぇ ぴぇ 

  うぁ くぁ すぁ つぁ ぬぁ ふぁ むぁ ゆぁ るぁ    ヴぁ ぐぁ ずぁ づぁ ぶぁ ぷぁ てぁ でぁ
  うぃ くぃ すぃ つぃ ぬぃ ふぃ むぃ ゆぃ るぃ    ヴぃ ぐぃ ずぃ づぃ ぶぃ ぷぃ てぃ でぃ
  うぇ くぇ すぇ つぇ ぬぇ ふぇ むぇ ゆぇ るぇ    ヴぇ ぐぇ ずぇ づぇ ぶぇ ぷぇ 
  うぉ くぉ すぉ つぉ ぬぉ ふぉ むぉ ゆぉ るぉ    ヴぉ ぐぉ ずぉ づぉ ぶぉ ぷぉ 
  ふゅ

  てゅ でゅ 

  とぅ どぅ 

}

#
# 前の文字にくっつけて一単位にするべき文字の定義
# 例：「ゃ」を定義すれば「きゃ」や「にゃ」などが一つの音声単位として扱われる
#
set joinToPreceding {
  ゃ ゅ ょ ぁ ぃ ぅ ぇ ぉ ゎ
  ゛ ゜ °
}

#
# モーラ名を母音・撥音名に変換するための定義
# なお、vowelList(vowel)の内容が一覧表の列となる。
#
array unset vowelList
set vowelList(vowel) {a i u e o n} ;# ←母音の種類を定義。
lappend vowelList(vowel) $pause    ;# ←ポーズを便宜上登録しておく。
# ↓母音/a/に変換する文字のリスト
set vowelList(a) {あ か さ た な は ま や ら わ が ざ だ ば ぱ ゃ ぁ ゎ }
# ↓母音/i/に変換する文字のリスト
set vowelList(i) {い き し ち に ひ み    り    ぎ じ ぢ び ぴ    ぃ }
# ↓母音/u/に変換する文字のリスト
set vowelList(u) {う く す つ ぬ ふ む ゆ る    ぐ ず づ ぶ ぷ ゅ ぅ ヴ}
# ↓母音/e/に変換する文字のリスト
set vowelList(e) {え け せ て ね へ め    れ    げ ぜ で べ ぺ    ぇ }
# ↓母音/o/に変換する文字のリスト
set vowelList(o) {お こ そ と の ほ も よ ろ を ご ぞ ど ぼ ぽ ょ ぉ }
# ↓撥音/n/に変換する文字のリスト
set vowelList(n) {ん}
# ↓ポーズに変換するリスト（ここは変更しないこと）
lappend vowelList($pause) $pause

